{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<div class="container">
    <div class="card mt-5 p-3 shadow">
        <form method="post" id="loginForm">
            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <div class="mb-3">
                    Vous êtes connecté en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se déconnecter</a>
                </div>
            {% endif %}

            <h1 class="h3 mb-3 font-weight-normal text-muted text-center">Se connecter</h1>
            <label for="inputEmail">Email</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
            <label for="inputPassword">Mot de passe</label>
            <input type="password" name="password" id="inputPassword" class="form-control" required>

            <input type="hidden" name="_csrf_token"
                value="{{ csrf_token('authenticate') }}"
            >
            <button class="btn btn-lg btn-primary mt-2" type="submit">
                Se connecter
            </button>
        </form>
    </div>
</div>
{% endblock %}
